=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2011-2014 IOhannes m zmölnig <zmoelnig@iem.at>
# Description: Main Debian packaging script for pd-lua
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/class/pd.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_SRCDIR=src

CFLAGS+=$(CPPFLAGS) $(shell pkg-config --cflags lua5.2 pd) -Wno-error=format-security
LIBS+=$(shell   pkg-config --libs   lua5.2) $(LDFLAGS)
DEB_MAKE_EXTRA_ARGS = CFLAGS="$(CFLAGS)" LIBS="$(LIBS)" $(DEB_MAKE_PARALLEL)

test:
	make -C src showsetup CFLAGS="$(CFLAGS)" LIBS="$(LIBS)"  $(DEB_MAKE_PARALLEL)
