=== debian/changelog ===
pd-lua (0.7.3-6) unstable; urgency=medium

  * Modernize 'licensecheck' target
    + Ensure that 'licensecheck' is run with the C.UTF-8 locale
    + Exclude debian/ from 'licensecheck'
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 07 Dec 2022 10:47:01 +0100

pd-lua (0.7.3-5) unstable; urgency=medium

  * Apply "warp-and-sort -ast"
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 04 Sep 2022 13:55:19 +0200

pd-lua (0.7.3-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Add salsa-ci configuration
  * Bump dh-compat to 13
  * Bump standards version to 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 19 Aug 2020 21:48:05 +0200

pd-lua (0.7.3-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ IOhannes m zmölnig ]
  * Fix FTCBFS
    + Supply pkg-config from dpkg's buildtools.mk
    + Don't strip during make install.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #930944)
  * Declare that building this package doesn't require "root" powers
  * Remove obsolete d/source/local-options
  * Bump dh compat to 12
  * Bump standards version to 4.4.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 11 Sep 2019 15:40:38 +0200

pd-lua (0.7.3-2) unstable; urgency=medium

  * Switched buildsystem from dh to cdbs
    * Bumped dh compat to 11
    * Enabled hardening
  * Fixed spelling of 'Lua'
  * Updated Vcs-* stanzas to salsa.d.o
  * Updated maintainer address
  * Switched URLs to https://
  * Removed obsolete d/git-tuneclone.sh
    * Dropped d/README.source from docs
  * Updated d/copyright_hints
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 01 Feb 2018 23:19:43 +0100

pd-lua (0.7.3-1) unstable; urgency=medium

  * Imported Upstream version 0.7.3

  * Removed patches applied upstream
  * Backported patch to fix format-security errors
  * Updated files to install
  * Updated build-flags to new upstream build-system
  * Override build-date for reproducible builds
  * Depend on 'puredata' rather than 'puredata-core'
  * Update Vcs-* stanzas
  * Added debian/git-tuneclone.sh script (see debian/README.source)
  * Regenerated debian/(control|copyright_hints)
  * Updated debian/copyright
  * Bumped Standards-version to 3.9.6

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 24 Jan 2016 22:25:22 +0100

pd-lua (0.6.0-2) unstable; urgency=medium

  * Added "-fPIC" to build-flags (Closes: #759830)
  * Fixed installation path for examples/
  * Document that ignoring debian/control.in is no show-stopper

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 01 Sep 2014 09:32:15 +0200
