## pd-lua 0.11.6%2Bds1

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: pd-lua
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  devscripts,
  dh-buildinfo,
- liblua5.2-dev,
+ dh-sequence-pd-lib-builder,
+ liblua5.4-dev,
  pkg-config,
- puredata-dev | puredata,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: sound
 Homepage: https://download.puredata.info/pdlua
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-lua.git
@@ -20,9 +21,14 @@
 Package: pd-lua
 Architecture: any
 Depends:
- puredata | pd,
+ pd-libdir,
  ${misc:Depends},
+ ${puredata:Depends},
  ${shlibs:Depends},
+Recommends:
+ ${puredata:Recommends},
+Suggests:
+ ${puredata:Suggests},
 Description: Lua bindings for Pure Data
  pd-lua adds a new loader to Pure Data (Pd), that allows one to load
  objectclasses written in the popular Lua programming language.
