=== debian/changelog ===
pd-lua (0.11.6+ds1-1build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 20:01:45 +0200

pd-lua (0.11.6+ds1-1) unstable; urgency=medium

  * New upstream version 0.11.6+ds1
    + Drop obsolete patches
    + Switch buildsystem to pd-lib-builder
    + Add patch for cross-building
    + B-D on liblua5.4-dev
  * Build for both single and double-precision Pd
  * Repack upstream sources
    + Exclude repository config from source tarball
    + Exclude generated documentation
    + Add '+ds' repacksuffix
  * Update upstream information
    + Update upstream contact
    + Watch new upstream repository
  * Update copyright information
    + Update d/copyright
    + Exclude binary files from 'licensecheck'
    + Re-generate d/copyright_hints
  * Apply 'wrap-and-sort -ast'
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 05 Jul 2023 15:02:17 +0200
