## pd-lua 0.12.4+ds

=== Makefile ===
--- 
+++ 
@@ -17,11 +17,13 @@
 
 luasrc = $(wildcard lua/onelua.c)
 
+PKG_CONFIG ?= pkg-config
+
 ifeq ($(luasrc),)
 # compile with installed liblua
 $(info ++++ NOTE: using installed lua)
-luaflags = $(shell pkg-config --cflags lua)
-lualibs = $(shell pkg-config --libs lua)
+luaflags = $(shell $(PKG_CONFIG) --cflags lua)
+lualibs = $(shell $(PKG_CONFIG) --libs lua)
 else
 # compile with Lua submodule
 $(info ++++ NOTE: using lua submodule)
@@ -44,9 +46,11 @@
 
 datafiles = pd.lua $(wildcard pdlua*-help.pd)
 
-include Makefile.pdlibbuilder
+PDLIBBUILDER_DIR=.
+include $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder
 
 install: installplus
 
 installplus:
+	$(INSTALL_DIR) -v "$(installpath)"
 	cp -r ./pdlua/ "${installpath}"/pdlua
