=== debian/changelog ===
pd-lua (0.12.4+ds-1) unstable; urgency=medium

  * New upstream version 0.12.4+ds
    + Drop patches applied upstream
  * B-D on 'pkgconf' rather than 'pkg-config'
  * Add autopkgtest
  * Switch to dh-sequence-puredata
    + Add puredata:Provides stanza
  * Update copyright information
    + Update d/copyright
    + Exclude another png file from 'licensecheck'
    + Re-generate d/copyright_hints
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 12 Aug 2024 14:31:08 +0200
