=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: pd-lua
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  devscripts,
  dh-buildinfo,
- dh-sequence-pd-lib-builder,
+ dh-sequence-puredata,
  liblua5.4-dev,
- pkg-config,
-Standards-Version: 4.6.2
+ pkgconf | pkg-config,
+Standards-Version: 4.7.0
 Section: sound
 Homepage: https://download.puredata.info/pdlua
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-lua.git
@@ -29,6 +28,8 @@
  ${puredata:Recommends},
 Suggests:
  ${puredata:Suggests},
+Provides:
+ ${puredata:Provides},
 Description: Lua bindings for Pure Data
  pd-lua adds a new loader to Pure Data (Pd), that allows one to load
  objectclasses written in the popular Lua programming language.
