## pd-lua 0.12.23+ds

=== Makefile ===
--- 
+++ 
@@ -40,6 +40,9 @@
 endif
 
 cflags = ${luaflags} -DPDLUA_VERSION="$(pdlua_version)"
+ifdef PD_MULTICHANNEL
+    cflags += -DPD_MULTICHANNEL=$(PD_MULTICHANNEL)
+endif
 
 pdlua.class.sources := pdlua.c $(luasrc)
 pdlua.class.ldlibs := $(lualibs)
@@ -51,6 +54,10 @@
 
 install: installplus
 
+pdx_files = $(addprefix ./pdlua/tutorial/examples/, pdx.lua pd-remote.el pd-remote.pd)
+
 installplus:
 	$(INSTALL_DIR) -v "$(installpath)"
 	cp -r ./pdlua/ "${installpath}"/pdlua
+	cp pdlua-meta.pd "${installpath}"
+	cp $(pdx_files) "${installpath}"
