=== debian/changelog ===
pd-lua (0.12.23+ds-3) unstable; urgency=medium

  * Backport patch to use Pd's public function for opening files
  * Backport patch to fix FTBFS against puredata>=0.56 (Closes: #1111479)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 18 Aug 2025 21:21:20 +0200

pd-lua (0.12.23+ds-2) unstable; urgency=medium

  * Team Upload
  * Drop build dep on devscripts & old pkg-config
  * Bump Standards-Version to 4.7.2

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Update git repository layout to follow DEP-14

 -- Alexandre Detiste <tchet@debian.org>  Sat, 02 Aug 2025 17:54:21 +0200

pd-lua (0.12.23+ds-1) unstable; urgency=medium

  * New upstream version 0.12.23+ds

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 30 Oct 2024 15:05:22 +0100

pd-lua (0.12.22+ds-1) unstable; urgency=medium

  * New upstream version 0.12.22+ds

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 17 Oct 2024 19:05:39 +0200

pd-lua (0.12.20+ds-1) unstable; urgency=medium

  * New upstream version 0.12.20+ds
  * Re-generate d/copyright_hints
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 10 Oct 2024 23:01:30 +0200

pd-lua (0.12.18+ds-1) unstable; urgency=medium

  * New upstream version 0.12.18+ds
  * Drop Depends on pd-libdir (handled by dh-sequence-puredata)
  * Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 25 Sep 2024 21:50:06 +0200

pd-lua (0.12.16+ds-1) unstable; urgency=medium

  * New upstream version 0.12.16+ds

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 16 Sep 2024 08:35:25 +0200

pd-lua (0.12.15+ds-1) unstable; urgency=medium

  * New upstream version 0.12.15+ds
  * Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 12 Sep 2024 22:21:19 +0200

pd-lua (0.12.8+ds-1) unstable; urgency=medium

  * New upstream version 0.12.8+ds
  * Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 02 Sep 2024 14:33:59 +0200
