=== debian/control ===
--- 
+++ 
@@ -5,12 +5,10 @@
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- devscripts,
- dh-buildinfo,
  dh-sequence-puredata,
  liblua5.4-dev,
- pkgconf | pkg-config,
-Standards-Version: 4.7.0
+ pkgconf,
+Standards-Version: 4.7.2
 Section: sound
 Homepage: https://download.puredata.info/pdlua
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-lua.git
@@ -20,7 +18,6 @@
 Package: pd-lua
 Architecture: any
 Depends:
- pd-libdir,
  ${misc:Depends},
  ${puredata:Depends},
  ${shlibs:Depends},
