=== debian/tests/control ===
Test-Command: find debian/tests/* -type f -name "*-test.pd" -exec pd -nogui -open {} -send "start bang" -send "pd quit 1" ";"
Restrictions:
 allow-stderr,
Depends:
 @,
